package misc

import (
	"os"
	"os/exec"
)

func GitClone() error {
	cmd := exec.Command("git", "clone", "https://github.com/HupeHup/hupe.git", "gittemp")
	cmd.Stdout = os.Stdout
	cmd.Stderr = os.Stderr
	cmd.Stdin = os.Stdin
	if err := cmd.Run(); err != nil {
		return err
	}

	cmd = exec.Command("mv", "gittemp/.git", ".")
	cmd.Stdout = os.Stdout
	cmd.Stderr = os.Stderr
	if err := cmd.Run(); err != nil {
		return err
	}

	cmd = exec.Command("rm", "-rf", "gittemp")
	cmd.Stdout = os.Stdout
	cmd.Stderr = os.Stderr
	return cmd.Run()
}
